javax.resource.cci

## Interface Record

- All Superinterfaces:
    Cloneable, Serializable
  All Known Subinterfaces:
    IndexedRecord, MappedRecord, ResultSet

      public interface Record
      extends Cloneable, Serializable

  The `javax.resource.cci.Record` interface is the base interface for the representation of an input or output to the execute methods defined on an Interaction.

  The Record interface can be extended to form a one of the following representations:

  - MappedRecord: A key-value pair based collection represents a record. This interface is based on the `java.util.Map`
  - IndexedRecord:An ordered and indexed collection represents a record. This interface is based on the `java.util.List`.
  - JavaBean based representation of an EIS abstraction: An example is a custom record generated to represent a purchase order in an ERP system.
  - `javax.resource.cci.ResultSet`: This interface extends both `java.sql.ResultSet` and `javax.resource.cci.Record`. A ResultSet represents tabular data.

  A MappedRecord or IndexedRecord can contain another Record. This means that MappedRecord and IndexedRecord can be used to create a hierarchical structure of any arbitrary depth. A basic Java type is used as the leaf element of a hierarchical structure represented by a MappedRecord or IndexedRecord.

  Version:
    0.8
  Author:
    Rahul Sharma
  See Also:
    `Interaction`, `ResultSet`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()` Creates and returns a copy of this object.
    `boolean` | `equals(Object other)` Check if this instance is equal to another Record.
    `String` | `getRecordName()` Gets the name of the Record.
    `String` | `getRecordShortDescription()` Gets a short description string for the Record.
    `int` | `hashCode()` Returns the hash code for the Record instance.
    `void` | `setRecordName(String name)` Sets the name of the Record.
    `void` | `setRecordShortDescription(String description)` Sets a short description string for the Record.

- - ### Method Detail

    - #### getRecordName

          String getRecordName()

      Gets the name of the Record.
      Returns:
        String representing name of the Record

    - #### setRecordName

          void setRecordName(String name)

      Sets the name of the Record.
      Parameters:
        `name` - Name of the Record

    - #### setRecordShortDescription

          void setRecordShortDescription(String description)

      Sets a short description string for the Record. This property is used primarily by application development tools.
      Parameters:
        `description` - Description of the Record

    - #### getRecordShortDescription

          String getRecordShortDescription()

      Gets a short description string for the Record. This property is used primarily by application development tools.
      Returns:
        String representing a short description of the Record

    - #### equals

          boolean equals(Object other)

      Check if this instance is equal to another Record.
      Overrides:
        `equals` in class `Object`
      Returns:
        true if two instances are equal

    - #### hashCode

          int hashCode()

      Returns the hash code for the Record instance.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hash code

    - #### clone

          Object clone()
                       throws CloneNotSupportedException

      Creates and returns a copy of this object. The precise meaning of "copy" may depend on the class of the object.
      Returns:
        a clone of this instance.
      Throws:
        `CloneNotSupportedException` - If the object's class does not support the Cloneable interface Subclasses that override the clone method can also throw this exception to indicate that an instance cannot be cloned.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.